Loading...
Searching...
No Matches
Opm::BCProp::BCFace Struct Reference

## Public Member Functions

| BCFace (const DeckRecord &record)
bool | operator== (const BCFace &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static BCFace | serializationTestObject ()

## Public Attributes

int | index {}
BCType | bctype {BCType::NONE}
BCMECHType | bcmechtype {BCMECHType::NONE}
BCComponent | component {BCComponent::NONE}
double | rate {}
std::optional< double > | pressure {}
std::optional< double > | temperature {}
std::optional< MechBCValue > | mechbcvalue {}

The documentation for this struct was generated from the following files:

- opm/input/eclipse/Schedule/BCProp.hpp
- opm/input/eclipse/Schedule/BCProp.cpp